Generate an agent with optimized prompt based on industry and use case

Required scope: convai:write

Body
required
application/json
  • goal
    Type: string
    required

    The goal or purpose of the agent

  • industry
    Type: string
    required

    The industry for which the agent is being created

  • name
    Type: string
    required

    The name of the agent

  • use_case
    Type: string
    required

    The specific use case for the agent

  • agent_type
    Type: string

    The type of agent to generate

  • domain
    Type: string

    Optional domain/website URL for context

Responses
  • application/json
  • 400

    Bad request - missing required fields

  • application/json
  • 500

    Server error

Request Example for post/agents/generate
curl https://api.simwood.com/convai/v1/agents/generate \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "name": "",
  "agent_type": "business",
  "industry": "",
  "use_case": "",
  "domain": "",
  "goal": ""
}'
{
  "id": "string",
  "name": "string",
  "configuration": {
    "asr": {
      "keywords": [
        "string"
      ]
    },
    "turn": {
      "timeout_seconds": 1,
      "silence_timeout_seconds": 1
    },
    "tts": {
      "voice_id": "string",
      "settings": {
        "stability": 1,
        "similarity_boost": 1,
        "speed": 1
      }
    },
    "agent": {
      "first_message": "string",
      "language": "string",
      "prompt": {
        "text": "string",
        "temperature": 1,
        "model": "string"
      },
      "knowledge_base": [
        {
          "type": "url",
          "source": "string",
          "id": "string"
        }
      ]
    },
    "conversation": {
      "max_duration_seconds": 1
    },
    "analysis": {
      "data_collection": {
        "additionalProperty": {
          "type": "boolean",
          "description": "string",
          "dynamic_variable": "string",
          "constant_value": "string"
        }
      }
    }
  },
  "created_at": "2026-07-18T10:26:52.854Z",
  "updated_at": "2026-07-18T10:26:52.854Z"
}